<?php

/*
* Loading the text domain
*/
add_action('plugins_loaded', 'vw_accordion_plugins_loaded');
function vw_accordion_plugins_loaded() {
	load_plugin_textdomain( VWAC_TEXT_DOMAIN, FALSE, dirname( plugin_basename(__FILE__)).'/language/' );
}

/*
* Loading the script on the frontend
*/
function vw_accordion_frontend_script() {
    
	wp_enqueue_script('jquery');

	// Custom Front Style
	wp_enqueue_style('vw-accordion-front-style', VWAC_DIRECTORY_URL.'assets/css/vwac-front-style.css');
	
	//font awesome css
	wp_enqueue_style('vw-accordion-font-awesome-front', VWAC_DIRECTORY_URL.'assets/css/font-awesome/css/font-awesome.min.css');

	//bootstrap css & js
	wp_enqueue_style('bootstrap', VWAC_DIRECTORY_URL.'assets/css/bootstrap.css');
	wp_enqueue_script( 'vw-accordion-bootstrap-js-front', VWAC_DIRECTORY_URL.'assets/js/bootstrap.js', array(), '', true );

	// Custom Front Js
	wp_enqueue_script( 'custom-front-js', VWAC_DIRECTORY_URL.'assets/js/custom-front.js', array(), '', true );
}
add_action( 'wp_enqueue_scripts', 'vw_accordion_frontend_script' );

add_filter( 'widget_text', 'do_shortcode');