<?php 
 $PostId = $post->ID;
 $Accordion_Settings = unserialize(get_post_meta( $PostId, 'Accordion_Settings', true));
		
		$option_names = array(
		"vwac_sec_title" 	    => "yes",
		"vwac_oc_onoff" 	    => "yes",
        "vwac_icon_title"       => "yes",
        "vwac_border_radius"    => "4",
        "vwac_margin_top"       => "10",
		"vwac_margin_right"     => "10",
		"vwac_margin_bottom"    => "10",
		"vwac_margin_left"      => "10",
        "vwac_oc_position"      => "right",
		"vwac_title_bg_clr"     => "",
		"vwac_icon_title_clr"   => "",
		"vwac_desc_bg_clr"      => "",
        "vwac_desc_font_clr"    => "",
        "vwac_active_font_clr"  => "",
        "vwac_border_font_clr"  => "",
        "vwac_title_font_size"  => "18",
        "vwac_des_font_size"    => "16",
        "vwac_font_family"      => "Open Sans",
        "vwac_default_styles"   =>1,
		);
		
		foreach($option_names as $option_name => $default_value) {
			if(isset($Accordion_Settings[$option_name])) 
				${"" . $option_name}  = $Accordion_Settings[$option_name];
			else
				${"" . $option_name}  = $default_value;
		}
?>

<input type="hidden" id="vwac_setting_save_action" name="vwac_setting_save_action" value="vwac_setting_save_action">
		
<table class="form-table vwac_table">
	<tbody>
		
		<tr>
			<th scope="row"><label><?php echo esc_html('Show Accordion Section Title ',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<div class="switch">
					<input type="radio" class="switch-input" name="vwac_sec_title" value="yes" id="enable_vwac_sec_title" <?php if($vwac_sec_title == 'yes' ) { echo "checked"; } ?>   >
					<label for="enable_vwac_sec_title" class="switch-label switch-label-off"><?php echo esc_html('Yes',VWAC_TEXT_DOMAIN); ?></label>
					<input type="radio" class="switch-input" name="vwac_sec_title" value="no" id="disable_vwac_sec_title"  <?php if($vwac_sec_title == 'no' ) { echo "checked"; } ?> >
					<label for="disable_vwac_sec_title" class="switch-label switch-label-on"><?php echo esc_html('No',VWAC_TEXT_DOMAIN); ?></label>
					<span class="switch-selection"></span>
				</div>
				
			</td>
		</tr>

		<tr>
			<th scope="row"><label><?php echo esc_html('Open/Close Icon Position',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<div class="switch">
					<input type="radio" class="switch-input" name="vwac_oc_position" value="left" id="enable_vwac_oc_position" <?php if($vwac_oc_position == 'left' ) { echo "checked"; } ?>  >
					<label for="enable_vwac_oc_position" class="switch-label switch-label-off"><?php echo esc_html('left',VWAC_TEXT_DOMAIN); ?></label>
					<input type="radio" class="switch-input" name="vwac_oc_position" value="right" id="disable_vwac_oc_position" <?php if($vwac_oc_position == 'right' ) { echo "checked"; } ?> >
					<label for="disable_vwac_oc_position" class="switch-label switch-label-on"><?php echo esc_html('right',VWAC_TEXT_DOMAIN); ?></label>
					<span class="switch-selection"></span>
				</div>
			</td>
		</tr>
		
		<tr>
			<th scope="row"><label><?php echo esc_html('Show Open Close Icon ',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<div class="switch">
					<input type="radio" class="switch-input" name="vwac_oc_onoff" value="yes" id="enable_vwac_oc_onoff" <?php if($vwac_oc_onoff == 'yes' ) { echo "checked"; } ?>  >
					<label for="enable_vwac_oc_onoff" class="switch-label switch-label-off"><?php echo esc_html('Yes',VWAC_TEXT_DOMAIN); ?></label>
					<input type="radio" class="switch-input" name="vwac_oc_onoff" value="no" id="disable_vwac_oc_onoff"  <?php if($vwac_oc_onoff == 'no' ) { echo "checked"; } ?> >
					<label for="disable_vwac_oc_onoff" class="switch-label switch-label-on"><?php echo esc_html('No',VWAC_TEXT_DOMAIN); ?></label>
					<span class="switch-selection"></span>
				</div>
			</td>
		</tr>
		
		<tr>
			<th scope="row"><label><?php echo esc_html('Show Icon With Title',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<div class="switch" >
					<input type="radio" class="switch-input" name="vwac_icon_title" value="yes" id="enable_vwac_icon_title" <?php if($vwac_icon_title == 'yes' ) { echo "checked"; } ?>  >
					<label for="enable_vwac_icon_title" class="switch-label switch-label-off"><?php echo esc_html('Yes',VWAC_TEXT_DOMAIN); ?></label>
					<input type="radio" class="switch-input" name="vwac_icon_title" value="no" id="disable_vwac_icon_title" <?php if($vwac_icon_title == 'no' ) { echo "checked"; } ?> >
					<label for="disable_vwac_icon_title" class="switch-label switch-label-on"><?php echo esc_html('No',VWAC_TEXT_DOMAIN); ?></label>
					<span class="switch-selection"></span>
				</div>
			</td>
		</tr>
		
		<tr>
			<th scope="row"><label><?php echo esc_html('Apply Accordion Radius ',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<div class="vw_ac_number_field">
					<input type="number" class="vw_number_field" name="vwac_border_radius" value="<?php echo esc_attr($vwac_border_radius); ?>" id="vwac_border_radius" >
					<span class="vw_number_field_ext"><?php echo esc_html('In px', VWAC_TEXT_DOMAIN) ?></span>
				</div>
			</td>
		</tr>
		
		<tr>
			<th scope="row"><label><?php echo esc_html('Enable Accordion Margin/Space',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<div class="vw_ac_number_field">

					<div class="vw_number_box">
						<input type="number" class="vw_number_field" name="vwac_margin_top" value="<?php echo esc_attr($vwac_margin_top); ?>" id="vwac_margin_top" >
						<span class="vw_number_field_ext"><?php echo esc_html('In px', VWAC_TEXT_DOMAIN) ?></span>
						<span class="vw_number_field_pos"><?php echo esc_html('From Top', VWAC_TEXT_DOMAIN) ?></span>
					</div>

					<div class="vw_number_box">
						<input type="number" class="vw_number_field" name="vwac_margin_right" value="<?php echo esc_attr($vwac_margin_right); ?>" id="vwac_margin_right" >
						<span class="vw_number_field_ext"><?php echo esc_html('In px', VWAC_TEXT_DOMAIN) ?></span>
						<span class="vw_number_field_pos"><?php echo esc_html('From Right', VWAC_TEXT_DOMAIN) ?></span>
					</div>

					<div class="vw_number_box">
						<input type="number" class="vw_number_field" name="vwac_margin_bottom" value="<?php echo esc_attr($vwac_margin_bottom); ?>" id="vwac_margin_bottom" >
						<span class="vw_number_field_ext"><?php echo esc_html('In px', VWAC_TEXT_DOMAIN) ?></span>
						<span class="vw_number_field_pos"><?php echo esc_html('From Bottom', VWAC_TEXT_DOMAIN) ?></span>
					</div>

					<div class="vw_number_box">
						<input type="number" class="vw_number_field" name="vwac_margin_left" value="<?php echo esc_attr($vwac_margin_left); ?>" id="vwac_margin_left" >
						<span class="vw_number_field_ext"><?php echo esc_html('In px', VWAC_TEXT_DOMAIN) ?></span>
						<span class="vw_number_field_pos"><?php echo esc_html('From Left', VWAC_TEXT_DOMAIN) ?></span>
					</div>
				</div>
			</td>
		</tr>
		
		<tr>
			<th scope="row"><label><?php echo esc_html('Accordion Styles',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<span class="accordion_option_load"><input type="radio" name="vwac_default_styles" id="vwac_default_styles" value="vw_accordion_style_1" <?php if($vwac_default_styles == 'vw_accordion_style_1' ) { echo "checked"; } ?> /> <?php echo esc_html('Style 1',VWAC_TEXT_DOMAIN); ?></span>

				<span class="accordion_option_load"><input type="radio" name="vwac_default_styles" id="vwac_default_styles2" value="vw_accordion_style_2" <?php if($vwac_default_styles == 'vw_accordion_style_2' ) { echo "checked"; } ?>  />  <?php echo esc_html('Style 2',VWAC_TEXT_DOMAIN); ?></span>
				
				<span class="accordion_option_load stylede3"><input type="radio" name="vwac_default_styles" id="vwac_default_styles3" value="vw_accordion_style_3"  <?php if($vwac_default_styles == 'vw_accordion_style_3' ) { echo "checked"; } ?> />  <?php echo esc_html('Style 3',VWAC_TEXT_DOMAIN); ?></span>

				<span class="accordion_option_load"><input type="radio" name="vwac_default_styles" id="vwac_default_styles4" value="vw_accordion_style_4"  <?php if($vwac_default_styles == 'vw_accordion_style_4' ) { echo "checked"; } ?> />  <?php echo esc_html('Style 4',VWAC_TEXT_DOMAIN); ?></span>

				<span class="accordion_option_load"><input type="radio" name="vwac_default_styles" id="vwac_default_styles5" value="vw_accordion_style_5"  <?php if($vwac_default_styles == 'vw_accordion_style_5' ) { echo "checked"; } ?> />  <?php echo esc_html('Style 5',VWAC_TEXT_DOMAIN); ?></span>

				<span class="accordion_option_load"><input type="radio" name="vwac_default_styles" id="vwac_default_styles6" value="vw_accordion_style_6"  <?php if($vwac_default_styles == 'vw_accordion_style_6' ) { echo "checked"; } ?> />  <?php echo esc_html('Style 6',VWAC_TEXT_DOMAIN); ?></span>
			</td>
		</tr>

		<tr >
			<th scope="row"><label><?php echo esc_html('Accordion Title Background Colour',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<input id="vwac_title_bg_clr" name="vwac_title_bg_clr" type="text" value="<?php echo $vwac_title_bg_clr; ?>" class="my-color-field" />
				
			</td>
		</tr>
		
		<tr >
			<th scope="row"><label><?php echo esc_html('Accordion Title/Icon Font Colour',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<input id="vwac_icon_title_clr" name="vwac_icon_title_clr" type="text" value="<?php echo $vwac_icon_title_clr; ?>" class="my-color-field"/>
			</td>
		</tr>
		
		<tr >
			<th scope="row"><label><?php echo esc_html('Accordion Description Background Colour',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<input id="vwac_desc_bg_clr" name="vwac_desc_bg_clr" type="text" value="<?php echo $vwac_desc_bg_clr; ?>" class="my-color-field"/>
			</td>
		</tr>
		
		<tr >
			<th scope="row"><label><?php echo esc_html('Accordion Description Font Colour',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<input id="vwac_desc_font_clr" name="vwac_desc_font_clr" type="text" value="<?php echo $vwac_desc_font_clr; ?>" class="my-color-field"/>
			</td>
		</tr>

		<tr >
			<th scope="row"><label><?php echo esc_html('Active Colour',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<input id="vwac_active_font_clr" name="vwac_active_font_clr" type="text" value="<?php echo $vwac_active_font_clr; ?>" class="my-color-field"/>
			</td>
		</tr>

		<tr >
			<th scope="row"><label><?php echo esc_html('Border Colour',VWAC_TEXT_DOMAIN); ?></label></th>
			<td>
				<input id="vwac_border_font_clr" name="vwac_border_font_clr" type="text" value="<?php echo $vwac_border_font_clr; ?>" class="my-color-field"/>
			</td>
		</tr>

		<tr>
			<th><?php echo esc_html('Title/Icon Font Size',VWAC_TEXT_DOMAIN); ?> </th>
			<td>
				<input name="vwac_title_font_size" class="slider" type="range" min="1" max="100" id="vwac_title_font_size" value="<?php echo $vwac_title_font_size; ?>" />
                <span  class="slider_label"></span> 
			</td>
		</tr>

		<tr>
			<th><?php echo esc_html('Description Font Size',VWAC_TEXT_DOMAIN); ?> </th>
			<td>
				<input name="vwac_des_font_size" class="slider" type="range" min="1" max="100" id="vwac_des_font_size" value="<?php echo $vwac_des_font_size; ?>" />
                <span  class="slider_label"></span> 
			</td>
		</tr>
		
	</tbody>
</table>