<?php

	$labels = array(
		'name'                => _x( 'VW Accordion', 'VW Accordion', VWAC_TEXT_DOMAIN ),
		'singular_name'       => _x( 'VW Accordion', 'VW Accordion', VWAC_TEXT_DOMAIN ),
		'menu_name'           => __( 'VW Accordion', VWAC_TEXT_DOMAIN ),
		'parent_item_colon'   => __( 'Parent Item:', VWAC_TEXT_DOMAIN ),
		'all_items'           => __( 'All Accordion', VWAC_TEXT_DOMAIN ),
		'view_item'           => __( 'View Accordion', VWAC_TEXT_DOMAIN ),
		'add_new_item'        => __( 'Add New Accordion', VWAC_TEXT_DOMAIN ),
		'add_new'             => __( 'Add New Accordion', VWAC_TEXT_DOMAIN ),
		'edit_item'           => __( 'Edit Accordion', VWAC_TEXT_DOMAIN ),
		'update_item'         => __( 'Update Accordion', VWAC_TEXT_DOMAIN ),
		'search_items'        => __( 'Search Accordion', VWAC_TEXT_DOMAIN ),
		'not_found'           => __( 'No Accordion Found', VWAC_TEXT_DOMAIN ),
		'not_found_in_trash'  => __( 'No Accordion found in Trash', VWAC_TEXT_DOMAIN ),
	);
	
	$args = array(
		'label'               => __( 'VW Accordion', VWAC_TEXT_DOMAIN ),
		'description'         => __( 'VW Accordion', VWAC_TEXT_DOMAIN ),
		'labels'              => $labels,
		'supports'            => array( 'title', '', '', '', '', '', '', '', '', '', '', ),
		'hierarchical'        => false,
		'public'              => false,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => false,
		'show_in_admin_bar'   => false,
		'menu_position'       => 5,
		'menu_icon'           => 'dashicons-feedback',
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => false,
		'capability_type'     => 'page',
	);
	register_post_type( 'vw_accordion', $args );

	add_filter( 'manage_edit-vw_accordion_columns', array(&$this, 'vw_accordion_columns' )) ;

	add_action( 'manage_vw_accordion_posts_custom_column', array(&$this, 'vw_accordion_manage_columns' ), 10, 2 );